Bug 1700891 - Nightly/CI builds have incorrect branding for the login page
Summary: Nightly/CI builds have incorrect branding for the login page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Auth
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.1.0
Assignee: Matt Rogers
QA Contact: Chuan Yu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-17 14:54 UTC by Clayton Coleman
Modified: 2019-06-04 10:47 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:47:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:47:50 UTC

Description Clayton Coleman 2019-04-17 14:54:37 UTC
The authentication operator is not respecting the default branding config that https://github.com/openshift/origin-branding/blob/master/manifests/0000_10_origin-branding_configmap.yaml lays down.

This supersedes the previous branding configuration users did with a payload innate mechanism, and the login page needs to respect the default here (this is a default, does not override user input).

This is a release blocker.

Comment 1 Clayton Coleman 2019-04-26 04:29:51 UTC
Specifically, the login page should default to OCP display, and the presence of this config location on the cluster should inform the operator to use Origin if it exists and the user has not provided a config.

Comment 2 Neelesh Agrawal 2019-04-26 15:25:14 UTC
https://jira.coreos.com/browse/AUTH-265

Comment 3 Ryan Phillips 2019-04-29 19:08:49 UTC
First PR of a series:

Fix the embedded object within the configmap: https://github.com/openshift/origin-branding/pull/5

Comment 4 Ryan Phillips 2019-04-29 19:17:08 UTC
2nd pr to fix the auth-operator: https://github.com/openshift/cluster-authentication-operator/pull/121

Comment 7 Robb Hamilton 2019-05-01 20:17:12 UTC
Login page template updated with new logo in https://github.com/openshift/ose/pull/1521

Comment 9 Mo 2019-05-03 13:55:53 UTC
https://github.com/openshift/cluster-authentication-operator/pull/124

PR is in the merge queue.

Comment 10 Mo 2019-05-03 18:52:41 UTC
PR merged.

Comment 12 Chuan Yu 2019-05-06 09:25:06 UTC
Verified on 4.1.0-0.nightly-2019-05-06-011159

Comment 14 errata-xmlrpc 2019-06-04 10:47:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.